Class | Tk::Tcllib::Plotchart::PolarPlot
In: | tk/lib/tkextlib/tcllib/plotchart.rb
Parent: | TkCanvas

### Methods

__destroy_hook__ dataconfig new plot

### Included Modules

ChartMethod

### Constants

TkCommandNames | = | [ 'canvas'.freeze, '::Plotchart::createPolarplot'.freeze

### Public Class methods

new(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 348
        def initialize(*args) # args := ([parent,] radius_data [, keys])
                              # radius_data := Array of [maximum_radius, stepsize]
          if args[0].kind_of?(Array)
            @radius_data = args.shift

            super(*args) # create canvas widget
          else
            parent = args.shift

            @radius_data = args.shift

            if parent.kind_of?(TkCanvas)
              @path = parent.path
            else
              super(parent, *args) # create canvas widget
            end
          end

          @chart = _create_chart
        end

### Public Instance methods

__destroy_hook__()

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 376
        def __destroy_hook__
          Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.delete(@path)
        end

dataconfig(series, key, value=None)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 386
        def dataconfig(series, key, value=None)
          if key.kind_of?(Hash)
            tk_call_without_enc(@chart, 'dataconfig', series, *hash_kv(key, true))
          else
            tk_call_without_enc(@chart, 'dataconfig', series,
                                "-#{key}", _get_eval_enc_str(value))
          end
        end

plot(series, radius, angle)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 380
        def plot(series, radius, angle)
          tk_call_without_enc(@chart, 'plot', _get_eval_enc_str(series),
                              radius, angle)
          self
        end

[Validate]